Subject: bug#71823: 31.0.50; project-mode-line and eglot duplicate project-name in mode-line

From: Dmitry Gutov <[email-masked]>
Date: Sat, 29 Jun 2024 15:17:41 +0300

On 29/06/2024 15:05, João Távora wrote:
> On Sat, Jun 29, 2024 at 8:12 AM Eli Zaretskii<[email-masked]>  wrote:
> 
>> Why not turn the table and consider this to be a problem of
>> project.el, to be solved there?  After all, the project-mode-line
> That could make sense (and this is nowhere near a serious problem IMHO),
> but I have to admit that saying the onus being on Eglot is also defensible.
> The project name is eminently project.el property after all.  What Eglot
> is showing there is the "project nickname": it happens to coincide with
> the project name for now but in rigour it would be a mnemonic for a
> "project/language" tuple.  So it's not exactly the same thing.  I've
> just never found a good way to express that.

Either way, it might make sense for Eglot to check out that project.el's 
variable and choose the format accordingly.

But an independent way to customize it in Eglot can work fine too (like 
the customizable mode-line you proposed).